{
  inputs = {
    nixpkgs.url = github:NixOS/nixpkgs/release-22.05;

    home-manager = {
      url = github:nix-community/home-manager/release-22.05;
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = inputs @ { self, nixpkgs, home-manager, ... }: 
    let 
      user = "mandlm";
    in 
    {
      nixosConfigurations.nixos-vm = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        specialArgs = inputs;
        modules = [ ./machines/nixos-vm/configuration.nix ];
      };
      nixosConfigurations.apache = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        specialArgs = inputs;
        modules = [ ./machines/apache/configuration.nix ];
      };
    };
}
